Bug 1418737 - there should be way how to cancel system pending event
Summary: there should be way how to cancel system pending event
Keywords:
Status: CLOSED DUPLICATE of bug 1384093
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 15:24 UTC by Jan Hutař
Modified: 2017-02-23 21:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 09:10:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Hutař 2017-02-02 15:24:21 UTC
Description of problem:
There should be way how to cancel system pending event as when you for some reason get to the state when some of the events were not marked as finished, there is no way how to cancel the event so other events might continue.


Version-Release number of selected component (if applicable):
Satellite: Satellite-5.8-RHEL-6-20170118.0-Satellite-x86_64
Client:
rhn-check-1.0.0.1-38.el6.noarch
rhn-client-tools-1.0.0.1-38.el6.noarch
rhnlib-2.5.22-15.el6.noarch
rhnsd-4.9.3-2.el6.x86_64
rhn-setup-1.0.0.1-38.el6.noarch
yum-rhn-plugin-0.9.1-60.el6.noarch


How reproducible:
always


Steps to Reproduce:
1. Try to remove or cancel system event which is in "Picked Up" state


Actual results:
There is no way how to do that.


Expected results:
Maybe some button like "ignore this" or "cancel" something? Probably with a warning that this does not cancel the event on the client as is meant just to make system even queue functional again.

Comment 1 Tomas Lestach 2017-02-03 07:49:09 UTC
What about schedule.failSystemAction? (Bug 1384093 )

Comment 2 Jan Hutař 2017-02-03 08:44:47 UTC
You are right this works:

# python
Python 2.6.6 (r266:84292, May 22 2015, 08:34:51) 
[GCC 4.4.7 20120313 (Red Hat 4.4.7-15)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import xmlrpclib
>>> server = xmlrpclib.Server('http://satellite.example.com/rpc/api')
>>> key = server.auth.login('admin','password')
>>> server.schedule.failSystemAction(key, 1000010111, 652)
1

Could we keep this open for webUI change then?


Note You need to log in before you can comment on or make changes to this bug.